[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gentoo-dev
Subject:    [gentoo-dev] [PATCH] kernel-2.eclass: Force deblob-check to use awk
From:       Alice Ferrazzi <alicef () gentoo ! org>
Date:       2022-07-27 10:08:55
Message-ID: 20220727100855.85895-1-alicef () gentoo ! org
[Download RAW message or body]

This patch remove python from the kernel-2.eclass
by forcing the deblob-check script to use awk instead
of python.

Closes: https://bugs.gentoo.org/610008

Signed-off-by: Alice Ferrazzi <alicef@gentoo.org>
---
 eclass/kernel-2.eclass | 14 +++-----------
 1 file changed, 3 insertions(+), 11 deletions(-)

diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index b3fb5cef76c..50464470a9b 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -675,15 +675,7 @@ if [[ ${ETYPE} == sources ]]; then
 
 	# Bug #266157, deblob for libre support
 	if [[ -z ${K_PREDEBLOBBED} ]]; then
-		# deblob less than 5.10 require python 2.7
-		if kernel_is lt 5 10; then
-			K_DEBLOB_AVAILABLE=0
-		fi
 		if [[ ${K_DEBLOB_AVAILABLE} == 1 ]]; then
-			PYTHON_COMPAT=( python3_{8..10} )
-
-			inherit python-any-r1
-
 			IUSE="${IUSE} deblob"
 
 			# Reflect that kernels contain firmware blobs unless otherwise
@@ -691,8 +683,6 @@ if [[ ${ETYPE} == sources ]]; then
 			# tree has been dropped from the kernel.
 			kernel_is lt 4 14 && LICENSE+=" !deblob? ( linux-firmware )"
 
-			BDEPEND+=" deblob? ( ${PYTHON_DEPS} )"
-
 			if [[ -n KV_MINOR ]]; then
 				DEBLOB_PV="${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}"
 			else
@@ -1470,8 +1460,10 @@ kernel-2_src_compile() {
 	cd "${S}" || die
 
 	if [[ ${K_DEBLOB_AVAILABLE} == 1 ]] && use deblob; then
+		einfo ">>> Patching deblob script for forcing awk ..."
+		sed -i '/check="\/bin\/sh $check"/a \  check="$check --use-awk"' \
+			"${T}/${DEBLOB_A}" || die "Failed to patch ${DEBLOB_A}"
 		einfo ">>> Running deblob script ..."
-		python_setup
 		sh "${T}/${DEBLOB_A}" --force || die "Deblob script failed to run!!!"
 	fi
 }
-- 
2.35.1


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic